import asyncio

from devranta.api import Api


async def main_async():
    api = Api()
    async for rant in api.get_rants():
        print(
            "{}({}): {}".format(
                rant["user_username"], rant["user_score"], rant["text"].split(".")[0]
            )
        )


def main():
    asyncio.run(main_async())


if __name__ == "__main__":
    main()
